Bug 2899 - List of hardware keyboard layouts is not expandable
: List of hardware keyboard layouts is not expandable
Status: RESOLVED FIXED
Product: Desktop platform
Input method framework
: 4.0
: All Linux
: Medium enhancement (vote)
: 5.0 (1.2009.41-10)
Assigned To: Joaquim Rocha
: input-method-framework-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2008-02-06 15:35 UTC by Marcin Juszkiewicz
Modified: 2009-11-07 19:37 UTC (History)
4 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Marcin Juszkiewicz (reporter) 2008-02-06 15:35:49 UTC
OS2007.50.2 on N810

According to my knowledge and informations from xkblayouts Garage project there
is no way to add new hardware keyboard layout. The only way now is change one
of predefined ones into own one.

This should be changed.
Comment 1 Marcell Lengyel maemo.org 2008-02-07 14:47:16 UTC
Just to clarify it a bit: I think that the reporter of the bug means that there
is no way for the end user to add a new layout for the internal HW keyboard so
that it will show up in the control panel applet. Marcin, please correct me if
I misunderstood.
Comment 2 Marcin Juszkiewicz (reporter) 2008-02-07 15:07:19 UTC
Marcell: exactly. Control panel list is not expandable according to what I was
told.
Comment 3 Marcin Juszkiewicz (reporter) 2008-05-13 23:18:28 UTC
Please have a look at ukeyboard package - it allows to add extra keymaps but it
is 3rd party when such thing should be part of system.
Comment 4 Andre Klapper maemo.org 2008-07-01 01:54:41 UTC
Not high priority as we have a workaround, but indeed nice to have.
Comment 5 Andre Klapper maemo.org 2009-09-25 15:23:26 UTC
I'd like to know if this is still valid for Fremantle (once the final SDK  /
version is out). Can you please answer this?
Thanks!
Comment 6 Marcin Juszkiewicz (reporter) 2009-09-25 19:39:13 UTC
(In reply to comment #5)
> I'd like to know if this is still valid for Fremantle (once the final SDK  /
> version is out). Can you please answer this?

Where I can find Fremantle images for N810 or BeagleBoard? Or qemu/virtualbox
image.
Comment 7 Andre Klapper maemo.org 2009-09-28 00:36:40 UTC
(In reply to comment #6)
> Where I can find Fremantle images for N810

Fremantle will not be available for N8x0 hardware.
For your interest the Mer project aims to provide a community backport of
Fremantle for N8x0 devices. See http://wiki.maemo.org/Mer for more information.
Comment 8 Marcin Juszkiewicz (reporter) 2009-09-28 18:47:34 UTC
(In reply to comment #7)

> For your interest the Mer project aims to provide a community backport of
> Fremantle for N8x0 devices. See http://wiki.maemo.org/Mer for more information.

But does it contain this application? Otherwise I will be not able to check was
bug resolved (unless you have spare N900 :D)
Comment 9 Andre Klapper maemo.org 2009-09-28 18:50:22 UTC
(In reply to comment #8)
> [Mer] But does it contain this application?

No idea - That's entirely up to the Mer project...
Comment 10 Urho Konttori 2009-11-07 17:09:51 UTC
ukeyboard in extras-testing / devel is a good example on how to extend both
virtual kb and physical kb layouts. Marking as fixed.
Comment 11 Andre Klapper maemo.org 2009-11-07 19:37:38 UTC
True. :-)